
# Euclid's algorithm for computing the gcd
# Nonrecursive version is discussed in for versus while loop post
# see 02Loops example_12 GCDWhileLoop.py

##non-recursive 
def findGCD(n, m):
    while n != 0: 
        gcd = n
        n = m % n
        m = gcd
        
    return gcd

##recursive
def findGCDRecur(n, m):
    if n != 0: 
        return findGCDRecur(m % n, n)  
    else:
        return m

a = input('Please input the first integer:')
b = input('Please input the second integer:')

print(findGCD(a,b))
print(findGCDRecur(a,b))

