##binarySearch non-recursion
def searchTarget(target, start, end, theList):
    position = -1
    while start <= end:
        checkpoint =  (start + end ) // 2
        if theList[checkpoint] == target:
            position = checkpoint
            break
        if theList[checkpoint] < target:
            start = checkpoint + 1
        if theList[checkpoint] > target:
            end = checkpoint - 1
    return position

##binarySearch recursive 
def searchTargetRecur(target, start, end, theList):
    if start <= end:
        checkpoint =  (start + end ) // 2
        if theList[checkpoint] == target:
            return checkpoint  # done! element found
        elif theList[checkpoint] < target:
            return searchTargetRecur(target,checkpoint + 1,end, theList)
        else:
            return searchTargetRecur(target,start,checkpoint - 1, theList)
    else:
        return -1  # item not found


target = 150
MyList = [1, 12, 15, 44, 47, 88, 90, 92, 140, 150, 200, 300, 303, 550, 966, 980]

start = 0
end = len(MyList) - 1

print "Element was found at position: ",searchTarget(target, start, end, MyList)
print "Element was found at position: ",searchTargetRecur(target, start, end, MyList)
